ModernLoop Internal API
Apisentry

List Sentry issues (error groups) in a project

Read operation: does not mutate upstream state.

curl -X GET "https://api.modernloop.dev/rest/v1/sentry/issues?project=string" \  -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY"
{  "count": 0,  "issues": [    {      "id": "string",      "shortId": "string",      "title": "string",      "culprit": "string",      "level": "string",      "status": "string",      "type": "string",      "metadata": {        "value": "string",        "type": "string",        "filename": "string",        "function": "string"      },      "count": "string",      "userCount": 0,      "numComments": 0,      "firstSeen": "string",      "lastSeen": "string",      "isUnhandled": true,      "platform": "string",      "permalink": "string",      "project": {        "id": "string",        "slug": "string",        "name": "string"      },      "assignedTo": {        "id": "string",        "name": "string",        "email": "string",        "type": "string"      },      "annotations": [        null      ]    }  ]}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}
{  "error": {    "code": "string",    "message": "string",    "upstreamStatus": 0  }}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

project*string

Project slug or ID to list issues for

query?string

Sentry search query (e.g. "is:unresolved", "level:error")

statsPeriod?string

Time period for stats (e.g. "24h", "14d", "30d")

Default"14d"

Response Body

application/json

application/json

application/json

application/json

application/json